Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/{notation}/metadata/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/{notation}/metadata/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/{notation}/metadata/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notation": "string",
"ipNet": {
"ip": "string",
"mask": "string"
},
"internalMetadata": {
"internal": true,
"readOnly": true,
"master": true,
"prefixLengthLimits": {
"min": 0,
"max": 0,
"exact": [
0
]
},
"holders": [
{
"tenantUUID": "string",
"projectID": "string",
"organisation": "string",
"type": 0,
"top": true
}
]
},
"externalMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"holderMetadata": {
"key1": "value1",
"keyN": "valueN"
},
"geodata": [
{
"provider": "string",
"countryName": "string",
"countryCode": "string",
"cityName": "string",
"date": "string",
"state": "string"
}
],
"whois": {
"inetnum": "string",
"registrar": "string",
"source": "string",
"recordActive": true,
"nets": [
{
"organisation": "string",
"netname": "string",
"net_type": "string",
"net_handle": "string",
"origin_as": "string",
"country": [
"string"
],
"comment": "string",
"created": "string",
"last_modified": "string",
"record_created": "string",
"record_modified": "string",
"mnt_by": [
"string"
],
"mnt_irt": [
"string"
],
"pocs": [
{
"handle": "string",
"kind": "string"
}
],
"notify": "string"
}
],
"domains": [
{
"domain": "string",
"nservers": [
"string"
]
}
]
},
"bgp": {
"peerCount": {
"fullTable": 0,
"active": 0
},
"asOrigins": [
{
"asn": 0,
"peersSeeing": 0
}
],
"asSetOrigins": [
{
"asSet": "string",
"peersSeeing": 0
}
]
},
"rpki": {
"roas": [
{
"maxLength": 0,
"asn": "string",
"ta": "string"
}
],
"suggestions": [
{
"maxLength": 0,
"asn": "string",
"ta": "string",
"status": "as0"
}
]
},
"routes": [
{
"route": "string",
"origin": "string",
"descr": [
"string"
],
"mnt_by": [
"string"
],
"changed": [
"string"
],
"source": "string"
}
],
"routingHealth": {
"criticalityStatus": "critical",
"bgpStatus": "match",
"bgpActions": [
{
"action": "add",
"asns": [
0
]
}
],
"rpkiStatus": "match",
"rpkiActions": [
{
"action": "add",
"asns": [
0
]
}
],
"irrStatus": "match",
"irrActions": [
{
"action": "add",
"asns": [
{
"origin": 0,
"target": "string"
}
]
}
],
"irmActions": [
{
"action": "add",
"asns": [
0
]
}
]
},
"cacheDerrived": {
"registrar": "string"
}
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}{
"status": "string",
"code": 0,
"error": "string"
}Deletes target prefix holder metadata and returns updated prefix.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Updated prefix.
Show child attributes
Show child attributes
Show child attributes
{ "key1": "value1", "keyN": "valueN" }
Show child attributes
{ "key1": "value1", "keyN": "valueN" }
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes